haskelldb-2.2.2: A library of combinators for generating and executing SQL statements.

Portability | portable
Stability | experimental
Maintainer | haskelldb-users@lists.sourceforge.net
Safe Haskell | None

Database.HaskellDB.DBSpec.DatabaseToDBSpec

Description

Connects to a Database and generates a DBSpec specification from it.

Synopsis

- dbToDBSpec :: Bool -> MakeIdentifiers -> String -> Database -> IO DBInfo

# Documentation

dbToDBSpec Source

Arguments

:: Bool | Use bounded strings?
-> MakeIdentifiers | style of generated Haskell identifiers, cOLUMN_NAME vs. columnName
-> String | the name our database should have
-> Database | the database connection
-> IO DBInfo | return a DBInfo

Connects to a database and generates a specification from it